Update conference participant
Update conference participant supervisor_role
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const action = await client.conferences.actions.update('id', {
call_control_id: 'v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg',
supervisor_role: 'whisper',
});
console.log(action.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
action = client.conferences.actions.update(
id="id",
call_control_id="v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
supervisor_role="whisper",
)
print(action.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Conferences.Actions.Update(
context.TODO(),
"id",
telnyx.ConferenceActionUpdateParams{
UpdateConference: telnyx.UpdateConferenceParam{
CallControlID: "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
SupervisorRole: telnyx.UpdateConferenceSupervisorRoleWhisper,
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.actions.ActionUpdateParams;
import com.telnyx.sdk.models.conferences.actions.ActionUpdateResponse;
import com.telnyx.sdk.models.conferences.actions.UpdateConference;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionUpdateParams params = ActionUpdateParams.builder()
.id("id")
.updateConference(UpdateConference.builder()
.callControlId("v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg")
.supervisorRole(UpdateConference.SupervisorRole.WHISPER)
.build())
.build();
ActionUpdateResponse action = client.conferences().actions().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
action = telnyx.conferences.actions.update(
"id",
call_control_id: "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
supervisor_role: :whisper
)
puts(action)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$action = $client->conferences->actions->update(
'id',
callControlID: 'v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg',
supervisorRole: 'whisper',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
region: 'US',
whisperCallControlIDs: [
'v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ',
'v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw',
],
);
var_dump($action);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences:actions update \
--api-key 'My API Key' \
--id id \
--call-control-id v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg \
--supervisor-role whispercurl --request POST \
--url https://api.telnyx.com/v2/conferences/{id}/actions/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"call_control_id": "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901",
"supervisor_role": "whisper",
"whisper_call_control_ids": [
"v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ",
"v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw"
]
}
'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies the conference by id or name
Body
Update Conference request object
Unique identifier and token for controlling the call
"v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ=="
Sets the participant as a supervisor for the conference. A conference can have multiple supervisors. "barge" means the supervisor enters the conference as a normal participant. This is the same as "none". "monitor" means the supervisor is muted but can hear all participants. "whisper" means that only the specified "whisper_call_control_ids" can hear the supervisor. Defaults to "none".
barge, monitor, none, whisper "whisper"
Use this field to avoid execution of duplicate commands. Telnyx will ignore subsequent commands with the same command_id as one that has already been executed.
"891510ac-f3e4-11e8-af5b-de00688a4901"
Array of unique call_control_ids the supervisor can whisper to. If none provided, the supervisor will join the conference as a monitoring participant only.
[ "v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ", "v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw" ]
Region where the conference data is located. Defaults to the region defined in user's data locality settings (Europe or US).
Australia, Europe, Middle East, US "US"
Response
Successful response upon making a conference command.
Show child attributes
Show child attributes
{ "result": "ok" }
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const action = await client.conferences.actions.update('id', {
call_control_id: 'v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg',
supervisor_role: 'whisper',
});
console.log(action.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
action = client.conferences.actions.update(
id="id",
call_control_id="v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
supervisor_role="whisper",
)
print(action.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.Conferences.Actions.Update(
context.TODO(),
"id",
telnyx.ConferenceActionUpdateParams{
UpdateConference: telnyx.UpdateConferenceParam{
CallControlID: "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
SupervisorRole: telnyx.UpdateConferenceSupervisorRoleWhisper,
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.actions.ActionUpdateParams;
import com.telnyx.sdk.models.conferences.actions.ActionUpdateResponse;
import com.telnyx.sdk.models.conferences.actions.UpdateConference;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionUpdateParams params = ActionUpdateParams.builder()
.id("id")
.updateConference(UpdateConference.builder()
.callControlId("v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg")
.supervisorRole(UpdateConference.SupervisorRole.WHISPER)
.build())
.build();
ActionUpdateResponse action = client.conferences().actions().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
action = telnyx.conferences.actions.update(
"id",
call_control_id: "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
supervisor_role: :whisper
)
puts(action)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$action = $client->conferences->actions->update(
'id',
callControlID: 'v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg',
supervisorRole: 'whisper',
commandID: '891510ac-f3e4-11e8-af5b-de00688a4901',
region: 'US',
whisperCallControlIDs: [
'v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ',
'v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw',
],
);
var_dump($action);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences:actions update \
--api-key 'My API Key' \
--id id \
--call-control-id v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg \
--supervisor-role whispercurl --request POST \
--url https://api.telnyx.com/v2/conferences/{id}/actions/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"call_control_id": "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
"command_id": "891510ac-f3e4-11e8-af5b-de00688a4901",
"supervisor_role": "whisper",
"whisper_call_control_ids": [
"v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ",
"v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw"
]
}
'